/*
 * Author: Sean Dunlap */

#include "includes.h"
#include "pwd.h"

// for reference
#if 0
struct passwd {
	char	*pw_name;		/* user name */
	char	*pw_passwd;		/* encrypted password */
	int	pw_uid;			/* user uid */
	int	pw_gid;			/* user gid */
	char	*pw_comment;		/* comment */
	char	*pw_gecos;		/* Honeywell login info */
	char	*pw_dir;		/* home directory */
	char	*pw_shell;		/* default shell */
};
#endif


struct passwd	*getpwuid (uid_t uid)
{
	printf("WARNING:  Inside getpwuid.  Does this need to be implemented?\n");
}

struct passwd	*getpwnam (const char * user)
{
    // SD - taken from  auth.c fakepw()
	static struct passwd fake;

	memset(&fake, 0, sizeof(fake));
	fake.pw_name = "NOUSER";
	fake.pw_passwd =
	    "$2a$06$r3.juUaHZDlIbQaO2dS9FuYxL1W9M81R1Tc92PoSNmzvpEqLkLGrK";
	fake.pw_gecos = "NOUSER";
	fake.pw_uid = (uid_t)-1;
	fake.pw_gid = (gid_t)-1;
	fake.pw_dir = "/nonexist";
	fake.pw_shell = "/nonexist";

	return (&fake);
}

void endpwent (void)
{
}

int	setgroups(int ngroups, const gid_t *grouplist )
{
    return 0;   
}

/*
 * Temporarily changes to the given uid.  If the effective user
 * id is not root, this does nothing.  This call cannot be nested.
 */
void
temporarily_use_uid(struct passwd *pw)
{
	printf("WARNING!  Inside temporarily_use_uid\n");
}

/*
 * Restores to the original (privileged) uid.
 */
void
restore_uid(void)
{
	printf("WARNING!  Inside restore_uid\n");
}

